Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001357TestLinkUser Interface Generalpublic2008-02-06 01:532008-11-07 19:47
Reporterbwinett 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.3 
Fixed in Version1.8 Beta 2 
Summary0001357: Provide users with access to help
DescriptionThere's no obvious way for users to get to the help contents, and I don't see any way for users to get to the user manual. Providing a "Help" menu option on the top nav, and a link to the user manual in contents.html would be a great help to new users.
Additional InformationI was able to do what I want with the following changes:

gui\templates\navBar.tpl:

changed:

    logout.php

to:

    logout.php |
    <span class="help" onclick="javascript:open_help_window('content','{$locale}');">{lang_get s='help'}</span>

Changed the gui\help\<locale>\content.html files:

Made the following line the first line after the "Instruction Pages" heading:

    
  • {$basehref}docs/user_manual.pdf
  • TagsNo tags attached.
    Database (MySQL,Postgres,etc)
    Browser
    PHP Version
    TestCaseID
    QA Team - Task Workflow Status
    Attached Files

    - Relationships

    -  Notes
    (0003460)
    dmulter (reporter)
    2008-04-19 01:57
    edited on: 2008-04-19 02:03

    I did a minor variation on this excellent suggestion. I think this would help a lot if it was in the next release. The following was done on 1.7.4. Remove the leading underscores from the HTML tags I had to add to get them to display below.

    1. Add the following line immediately after the Logout line (line 79) in gui/templates/navBar.tpl:
           <_a href="javascript:open_help_window('content','{$locale}');" target="_parent" accesskey="?">{lang_get s='help'}<_/a>

    2. Add the following line immediately before the Glosary line (line 33) in gui/help/en_GB/content.html:
            <_li><_a href="{$basehref}docs/user_manual.pdf">User Manual (PDF)<_/a><_/li>

    BTW, Glosary is spelled: Glossary.

    (0003463)
    mhavlat (reporter)
    2008-04-19 03:45

    Thanks. We should renew it. I think also about possibility to generate this menu from configuration ... so users can easily add own links.
    (0003464)
    fman (administrator)
    2008-04-19 23:17

    long time ago I have suggested using (as usual) mantis method to add custom menu.
    Seems is time to see mantis code and copy it refactored on TL, to enable this kind of feature.
    (0003465)
    fman (administrator)
    2008-04-19 23:18

    another solution (is a contributors idea not mine) is to scan document folder
    and present a combo box with all documents presents.
    (0003467)
    mhavlat (reporter)
    2008-04-20 04:18

    Yes. That's also my favourite solution. But we can implement it after we remove frames. Combo box from navbar cannot overlap to another frame ... at least I expect.
    (0003525)
    fman (administrator)
    2008-05-05 16:58

    Added contributed code to get file on docs/ folder

    - Issue History
    Date Modified Username Field Change
    2008-02-06 01:53 bwinett New Issue
    2008-04-19 01:57 dmulter Note Added: 0003460
    2008-04-19 02:00 dmulter Note Edited: 0003460
    2008-04-19 02:03 dmulter Note Edited: 0003460
    2008-04-19 03:45 mhavlat Note Added: 0003463
    2008-04-19 23:17 fman Note Added: 0003464
    2008-04-19 23:18 fman Note Added: 0003465
    2008-04-20 04:18 mhavlat Note Added: 0003467
    2008-05-05 16:58 fman Status new => resolved
    2008-05-05 16:58 fman Fixed in Version => 1.8 Beta 2
    2008-05-05 16:58 fman Resolution open => fixed
    2008-05-05 16:58 fman Assigned To => fman
    2008-05-05 16:58 fman Note Added: 0003525
    2008-11-07 19:47 mhavlat Status resolved => closed



    Copyright © 2000 - 2020 MantisBT Team
    Powered by Mantis Bugtracker